petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMShellCreate

Creates a shell DM object, used to manage user-defined problem data

### Synopsis

    #include "petscdmshell.h"
    PetscErrorCode  DMShellCreate(MPI_Comm comm,DM *dm)

Collective on MPI_Comm

### Input Parameter

comm -the processors that will share the global vector

### Output Parameters

shell -the shell DM

### See Also

DMDestroy(), DMCreateGlobalVector(), DMCreateLocalVector(), DMShellSetContext(), DMShellGetContext()

### Level

advanced

### Location

src/dm/impls/shell/dmshell.c

### Examples

src/dm/examples/tutorials/swarm_ex3.c.html
src/ksp/ksp/examples/tutorials/ex65.c.html
src/snes/examples/tutorials/ex73f90t.F90.html
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages